> ## Documentation Index
> Fetch the complete documentation index at: https://psw.belli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Status: Prepared for Loading (XFSU PRE)

> Notify stakeholders that shipment is prepared for loading (XFSU PRE).

<ParamField status="200" type="object">
  <ParamField name="awb" type="string">
    AWB number
  </ParamField>

  <ParamField name="status" type="string">
    Current status
  </ParamField>

  <ParamField name="notified" type="array">
    List of notified stakeholders
  </ParamField>
</ParamField>

### Reference Documentation

<Info>
  For more information on XFSU status notifications, please refer to:

  * Pages 218-221 of "Functional\_Requirements\_V18 FINAL": [https://belli.sg/3WXYLnO](https://belli.sg/3WXYLnO)
</Info>


## OpenAPI

````yaml POST /api/shipments/{awb}/status/prepared
openapi: 3.0.3
info:
  title: Mock API
  version: 1.0.0
  description: >-
    Mock OpenAPI spec for QR API Service. All endpoints require API key
    authentication via 'Authorization: Bearer <token>' or 'x-api-key: <token>'
    headers.
servers:
  - url: https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io
    description: Production server
security:
  - ApiKeyAuth: []
  - ApiKeyHeader: []
tags:
  - name: auth-v1
    description: Authentication and user management
  - name: reference-data-v1
    description: Reference data and master data
  - name: flights-v1
    description: Flight schedules and capacity
  - name: quotes-v1
    description: Quotation and pricing
  - name: awb-stock-v1
    description: AWB Stock Management
  - name: bookings-v1
    description: Booking management
  - name: shipments-v1
    description: Shipment documents and tracking
  - name: compliance-v1
    description: Compliance and safety declarations
  - name: operations-v1
    description: Operational events and manifests
  - name: webhooks-v1
    description: Webhook management
  - name: admin-v1
    description: Administrative and audit functions
  - name: qr-exp-cgo-ext-availability-v1
    description: Legacy availability service
  - name: qr-exp-cgo-ext-booking-v1
    description: Legacy booking service
  - name: qr-exp-cgo-ext-flight-schedules-v1
    description: Legacy flight schedules service
  - name: qr-exp-cgo-shipments-v1
    description: Legacy shipments service
  - name: qr-exp-cgo-stock-v1
    description: Legacy stock service
  - name: qr-exp-cgo-tables-v1
    description: Legacy table data service
paths:
  /api/shipments/{awb}/status/prepared:
    post:
      tags:
        - shipments-v1
      summary: 'Send Status: Prepared for Loading (XFSU PRE)'
      description: Notify stakeholders that shipment is prepared for loading (XFSU PRE).
      parameters:
        - name: awb
          in: path
          required: true
          schema:
            type: string
          description: AWB number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PreparedForLoadingRequest'
      responses:
        '200':
          description: Status Notified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreparedForLoadingResponse'
components:
  schemas:
    PreparedForLoadingRequest:
      type: object
      properties:
        statusCode:
          type: string
          example: PRE
        pieces:
          type: integer
          example: 10
        weight:
          type: number
          example: 500
        uld:
          type: string
          example: AKE12345QR
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-01T15:00:00Z'
        notify:
          type: array
          items:
            type: string
          example:
            - airline
            - aca
            - consignor
      required:
        - statusCode
        - updatedAt
        - notify
    PreparedForLoadingResponse:
      type: object
      properties:
        awbNumber:
          type: string
          example: 157-12345678
        status:
          type: string
          example: PRE
        notified:
          type: array
          items:
            type: string
          example:
            - airline
            - aca
            - consignor
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````